/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a example for assert(). The program will
abort while i < 0 and display error message.*/ 
#include <assert.h>

int main() {
    int i;
    for(i = 10; ; i--)
    {
       printf("i= %d", i);
       assert(i >= 0);
    }
}
  
